<!DOCTYPE html>
<html lang="en">
<head>

  <!-- Basic Page Needs
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <meta charset="utf-8">
  <title>Your page title here :)</title>
  <meta name="description" content="">
  <meta name="author" content="">

  <!-- Mobile Specific Metas
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <meta name="viewport" content="width=device-width, initial-scale=1">


  <!-- CSS
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <link rel="stylesheet" href="css/normalize.css">
  <link rel="stylesheet" href="css/skeleton.css">

  <!-- Favicon
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <link rel="icon" type="image/png" href="images/favicon.png">

  <script src="js/jquery-3.6.0.min.js"></script>
  <script src="js/handlebars.min-v4.7.7.js"></script>

  <style>
    body    {overflow-y:scroll;}
    #overlay {
        position: fixed; /* Sit on top of the page content */
        display: none; /* Hidden by default */
        width: 100%; /* Full width (cover the whole page) */
        height: 100%; /* Full height (cover the whole page) */
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgba(0,0,0,0.5); /* Black background with opacity */
        z-index: 2; /* Specify a stack order in case you're using a different order for other elements */
        cursor: pointer; /* Add a pointer on hover */
    }
    #overlay img {
      max-width: 95%;
      max-height: 95%;
      border:5px solid #000;
      vertical-align: middle;
      margin: auto;
      position: absolute;
      top: 0; left: 0; bottom: 0; right: 0;
    }
  </style>
</head>
<body>
 
  <!-- Templates
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <script id="entry-template" type="text/x-handlebars-template">
    <div class="testset">
    <div class="row">
      <h4>{{title}}</h4>
    </div>

    <div class="row">
      <div class="four columns"><h6>Video-Frame</h6><img class="video_frame" src="{{images.video_frame}}" style="max-width: 100%"></div>
      <div class="four columns">
        <h6>Matching</h6>
        <h4>{{match}}</h4>
        <button class="toogle">Details</button>
      </div>
      <div class="one column"><h6>Original</h6><img class="result_image" src="{{images.original}}" style="max-width: 100%"></div>
      <div class="one column"><h6>Polygones</h6><img class="result_image" src="{{images.polygones}}" style="max-width: 100%"></div>
      <div class="one column"><h6>Matched</h6><img class="result_image" src="{{images.matched}}" style="max-width: 100%"></div>
      <div class="one column"><h6>Model</h6><img class="result_image" src="{{images.model}}" style="max-width: 100%"></div>
    </div>

    <div class="row details">
      <h5>Images</h5>
    </div> <!-- row / details //-->

    <div class="row details">
      <div class="two columns"><h6>Original</h6><img class="result_image" src="{{images.original}}" style="max-width: 100%"></div>
      <div class="two columns"><h6>Cropped</h6><img class="result_image" src="{{images.cropped}}" style="max-width: 100%"></div>
      <div class="two columns"><h6>Color filtered</h6><img class="result_image" src="{{images.filtered}}" style="max-width: 100%"></div>
      <div class="two columns"><h6>Ellipses</h6><img class="result_image" src="{{images.ellipses}}" style="max-width: 100%"></div>
      <div class="two columns"><h6>Matched</h6><img class="result_image" src="{{images.matched}}" style="max-width: 100%"></div>
      <div class="two columns"><h6>Model</h6><img class="result_image" src="{{images.model}}" style="max-width: 100%"></div>
    </div> <!-- row / details //-->
    
    <div class="row details">
      <div class="two columns"><h6>Binary</h6><img class="result_image" src="{{images.binary}}" style="max-width: 100%"></div>
      <div class="two columns"><h6>Polygones</h6><img class="result_image" src="{{images.polygones}}" style="max-width: 100%"></div>
    </div> <!-- row / details //-->


    <div class="row details">
      <h5>Details</h5>
    </div> <!-- row / details //-->

    <div class="row details">
      <div class="twelve columns">
        <table class="u-full-width">
          <thead>
            {{{table.head}}}
          </thead>
          <tbody>
            {{{table.body}}}
          </tbody>
        </table>
      </div>
    </div> <!-- row / details //-->

  </div>
  </script>

  <!-- Primary Page Layout
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <div class="container">
    <div class="row">
      <div class="one-half column" style="margin-top: 25%">
        <h4>Evaluation</h4>
        <p>This report contains the results of the Signal Aspect Detection for the dataset &quot;<span id="dataset">Unknown</span>&quot;.</p>
      </div>
    </div>
  </div>

  <div id="overlay">
    <img src="images/video_frame.png">
  </div>

  <script src="data/result.js"></script>

  <script>

    $( document ).ready(function() {

     
      $('#overlay').on('click', function(){
        $('#overlay').hide();
      });

      $("#dataset").text(generate.dataset)

      var source = document.getElementById("entry-template").innerHTML;
  	  var template = Handlebars.compile(source);

      escapeHtml = function(unsafe) {
          return unsafe
              .replace(/&/g, "&amp;")
              .replace(/</g, "&lt;")
              .replace(/>/g, "&gt;")
              .replace(/"/g, "&quot;")
              .replace(/'/g, "&#039;");
      }

      to_list = function(rowtag,columntag,list_of_list) {
        var data = ""
        l1 = list_of_list.length
        for(r = 0;r < l1;r++)
        {
          list = list_of_list[r]
          data += "<" + rowtag + ">"
          l2 = list.length
          for(c = 0;c < l2;c++)
          {
            data += "<" + columntag + ">"
            data += escapeHtml(''+list[c])
            data += "</" + columntag + ">"
          }

          data += "</" + rowtag + ">"
        }

        return data;
      }
        
      l = data.length;
      for(i = 0;i < l;i++)
      {

        var context = { 
          title: data[i].title, 
          match: data[i].match,
          images: data[i].images,
          table : {
              head : to_list("tr","th",[data[i].details.head]),
              body : to_list("tr","td",data[i].details.body),
          }
        };

        var html = $(template(context));

        html.find(".toogle").on('click', function (ev) { 
          ev.preventDefault();  
          $(this).closest(".testset").find(".details").slideToggle()
        })

        html.find(".details").hide()

        html.find(".video_frame").on('click', function(ev) { 
          ev.preventDefault();  
          src = $(this).attr('src');
          $('#overlay img').attr('src', src);
          $('#overlay').show();
        })

        $(".container").append(html)
      }
    })
    </script>


  </script>

  


</script>
<!-- End Document
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
</body>
</html>
